Package org.eclipse.emf.cdo.spi.server

# Klasse AuthenticationUtil.AuthenticatingOperation<V>

java.lang.Object
org.eclipse.emf.cdo.spi.server.AuthenticationUtil.AuthenticatingOperation<V>

Alle implementierten Schnittstellen:
  `Callable<V>`

Umschließende Klasse:
  `AuthenticationUtil`

public abstract static class AuthenticationUtil.AuthenticatingOperation<V> extends Object implements Callable<V>
Encapsulation of an administrative operation requiring (potentially) client authentication to authorize the operation.

Seit:
  4.3
Autor:
  Christian W. Damus (CEA LIST)

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`final V`
`call()`
`protected abstract V`
`doCall()`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### AuthenticatingOperation

public AuthenticatingOperation(IAuthenticationProtocol authenticationProtocol)

## Methodendetails

### call

public final V call() throws Exception

Angegeben von:
  `call` in Schnittstelle `Callable<V>`
Löst aus:
  `Exception`

### doCall

protected abstract V doCall() throws Exception

Löst aus:
  `Exception`